![]() |
API Documentation
|
POST - used to create a new contact for the currently authenticated Covata user*.GET - used to retrieve a list of field information for all contacts of the currently authenticated Covata user.This API endpoint serves a number of purposes:
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following required parameters must be sent in the body of the POST request, as individual members of a JSON object:
ignoreDuplicates - true or false.
Example ():
The following optional parameters can also be sent in the body of the POST request, each as individual members of the JSON object that includes the Required parameters on POST above:
contacts - An array containing one or more of the following elements (in addition to the email element above).
Example ():
The following optional parameters can be sent in the URL of the GET request:
searchText - .
Example ():
A JSON-formatted response containing the following members:
offset - .
Example (response from ...):
* The currently authenticated user is determined by the access token passed in the header of requests to this endpoint.